Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Interface Generator

All Known Implementing Classes:
  GeneratorImpl

    public interface Generator

Represents a store sequence.

Since:
  0.4.1
Author:
  Abe White

Field Summary
`static String` | `UUID_HEX`
`static String` | `UUID_STRING`
`static String` | `UUID_TYPE4_HEX`
`static String` | `UUID_TYPE4_STRING`

Method Summary
`void` | `allocate(int additional)` Hint to the sequence to allocate additional values up-front for efficiency.
`Object` | `current()` The current sequence value, or null if the sequence does not support current values.
`Seq` | `getDelegate()` Deprecated. cast to `GeneratorImpl` instead. This method pierces the published-API boundary, as does the SPI cast.
`String` | `getName()` The sequence name.
`Object` | `next()` The next sequence value.

Field Detail

### UUID_HEX

    static final String UUID_HEX

See Also:
  Constant Field Values

### UUID_STRING

    static final String UUID_STRING

See Also:
  Constant Field Values

### UUID_TYPE4_STRING

    static final String UUID_TYPE4_STRING

See Also:
  Constant Field Values

### UUID_TYPE4_HEX

    static final String UUID_TYPE4_HEX

See Also:
  Constant Field Values

Method Detail

### getName

    String getName()

  The sequence name.

### next

    Object next()

  The next sequence value.

### current

    Object current()

  The current sequence value, or null if the sequence does not support current values.

### allocate

    void allocate(int additional)

  Hint to the sequence to allocate additional values up-front for efficiency.

### getDelegate

    Seq getDelegate()

  Deprecated. cast to `GeneratorImpl` instead. This method pierces the published-API boundary, as does the SPI cast.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.